// https://github.com/gajus/swing

document.addEventListener('DOMContentLoaded', function () {
    var stack;

    stack = gajus.Swing.Stack();

    [].forEach.call(document.querySelectorAll('.card-stack .card'), function (targetElement) {
        stack.createCard(targetElement);

        targetElement.classList.add('in-deck');
    });

    stack.on('throwout', function (e) {
        console.log('Card has been thrown out of the stack to the', e.throwDirection == 1 ? 'right' : 'left', 'direction.');

        e.target.classList.remove('in-deck');

        e.target.style.display = "none";
    });

    stack.on('throwin', function (e) {
        console.log('Card has been thrown into the stack from the', e.throwDirection == 1 ? 'right' : 'left', 'direction.');

        e.target.classList.add('in-deck');
    });


    document.getElementById("button-reset").addEventListener("click", function() {
            alert("reset");
            // lastThrow.fromX = 0;
            // lastThrow.fromY = 0;
            // lastTranslate.x = 0;
            // lastTranslate.y = 0;
            // throwOutDistance = 0;
        document.querySelectorAll('.card').style.display = "block";
        document.querySelectorAll('.card').style.transform = "none";


        // stack.init(function(e) {
        //     e.target.style.display = "block";
        //     e.target.classList.add('in-deck');
        // });
    });
    
});

